<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.38
Name: [2] Dane pacjenta dla dokumentu skierowania na pielęgniarską opiekę długoterminową
Description: Szablon CDA danych pacjenta dla dokumentu skierowania na
            długoterminową opiekę pielęgniarską
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000">
   <title>[2] Dane pacjenta dla dokumentu skierowania na pielęgniarską opiekę długoterminową</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]"
         id="tmp-r-e71dcd91-605e-4a92-82a4-e9452629f5b2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38'])&gt;=1 and not(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/@nullFlavor)">(plCdaReferralToLongtermNursingRecordTarget): element hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38'])&lt;=1">(plCdaReferralToLongtermNursingRecordTarget): element hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']"
         id="tmp-r-0de3c4f2-cfa1-425a-9ac5-498b88e33a73">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="string(@typeCode)='RCT' or not(@typeCode)">(plCdaReferralToLongtermNursingRecordTarget): Wartość dla @typeCode MUSI wynosić 'RCT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(plCdaReferralToLongtermNursingRecordTarget): Wartość dla @contextControlCode MUSI wynosić 'OP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.38'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.38']/@nullFlavor)">(plCdaReferralToLongtermNursingRecordTarget): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.38'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.38'])&lt;=1">(plCdaReferralToLongtermNursingRecordTarget): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.38'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:patientRole)&gt;=1 and not(hl7:patientRole/@nullFlavor)">(plCdaReferralToLongtermNursingRecordTarget): element hl7:patientRole jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:patientRole)&lt;=1">(plCdaReferralToLongtermNursingRecordTarget): element hl7:patientRole występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.38']
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.38']"
         id="tmp-r-e164e5ba-50a4-485a-b33f-66bc32f9d0bd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToLongtermNursingRecordTarget): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.38'">(plCdaReferralToLongtermNursingRecordTarget): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.38'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReferralToLongtermNursingRecordTarget): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole"
         id="tmp-r-66381fe4-cba0-4aeb-85ee-12f1c3474818">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(plCdaReferralToLongtermNursingRecordTarget): Wartość dla @classCode MUSI wynosić 'PAT'.</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:addr) = 2 and not(count(hl7:addr[@use='PST']) = 1)">(plCdaReferralToLongtermNursingRecordTarget):  Jeżeli
                  dokument zawiera dwa adresy pacjenta, to jeden z nich musi być adresem
                  korespondencyjnym. </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(plCdaReferralToLongtermNursingRecordTarget): element hl7:id jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(plCdaReferralToLongtermNursingRecordTarget): element hl7:addr jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:addr)&lt;=2">(plCdaReferralToLongtermNursingRecordTarget): element hl7:addr występuje zbyt często [max 2x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(plCdaReferralToLongtermNursingRecordTarget): element hl7:patient jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:patient)&lt;=1">(plCdaReferralToLongtermNursingRecordTarget): element hl7:patient występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:providerOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'])&lt;=1">(plCdaReferralToLongtermNursingRecordTarget): element hl7:providerOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:id
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:id"
         id="tmp-r-27ea9f90-e7d2-45c4-b74d-90f00edd85ad">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToLongtermNursingRecordTarget): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="@root">(plCdaReferralToLongtermNursingRecordTarget): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReferralToLongtermNursingRecordTarget): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="@extension">(plCdaReferralToLongtermNursingRecordTarget): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaReferralToLongtermNursingRecordTarget): Atrybut @extension MUSI być typu 'st'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="@root='2.16.840.1.113883.3.4424.1.1.616' and not(matches(string(@extension),'^[0-9]{11}$'))">(plCdaReferralToLongtermNursingRecordTarget):  Jeżeli identyfikatorem jest numer PESEL, to musi zawierać 11 cyfr. </report>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient"
         id="tmp-r-64f0d6d6-1408-43bd-abbb-a317a24e185e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(plCdaReferralToLongtermNursingRecordTarget): Wartość dla @classCode MUSI wynosić 'PSN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(plCdaReferralToLongtermNursingRecordTarget): Wartość dla @determinerCode MUSI wynosić 'INSTANCE'.</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="extPL:multipleBirthInd/@value and not(extPL:multipleBirthOrderNumber/@value)">(plCdaReferralToLongtermNursingRecordTarget):  Dla ciąży mnogiej wymagane jest podanie numeru kolejności urodzenia.
                  </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:id)=0">(plCdaReferralToLongtermNursingRecordTarget): element hl7:id NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:name)&gt;=1 ">(plCdaReferralToLongtermNursingRecordTarget): element hl7:name jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaReferralToLongtermNursingRecordTarget): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(plCdaReferralToLongtermNursingRecordTarget): element hl7:administrativeGenderCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:birthTime)&lt;=1">(plCdaReferralToLongtermNursingRecordTarget): element hl7:birthTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(extPL:multipleBirthInd)&lt;=1">(plCdaReferralToLongtermNursingRecordTarget): element extPL:multipleBirthInd występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(extPL:multipleBirthOrderNumber)&lt;=1">(plCdaReferralToLongtermNursingRecordTarget): element extPL:multipleBirthOrderNumber występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/hl7:id
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/hl7:id"
         id="tmp-r-e6ca022f-5a5b-4b70-8cc1-83ad725cff7d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToLongtermNursingRecordTarget): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode"
         id="tmp-r-e8317523-d625-47b7-8b43-0bc0e78db97b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToLongtermNursingRecordTarget): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaReferralToLongtermNursingRecordTarget): Wartość elementu MUSI wynosić AdministrativeGender (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaReferralToLongtermNursingRecordTarget): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości AdministrativeGender (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-7e565269-ed1f-43f7-86ed-6dc754e777a7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToLongtermNursingRecordTarget): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaReferralToLongtermNursingRecordTarget): Pierwsze 8 cyfr daty urodzenia powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/hl7:guardian
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/hl7:guardian"
         id="tmp-r-fd7ce4f8-c24f-43b3-89b2-a30671248edc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="string(@classCode)='GUARD'">(plCdaReferralToLongtermNursingRecordTarget): Wartość dla @classCode MUSI wynosić 'GUARD'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaReferralToLongtermNursingRecordTarget): element hl7:code występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:guardianPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']|hl7:guardianOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="$elmcount&gt;=1">(plCdaReferralToLongtermNursingRecordTarget): wybór (hl7:guardianPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'] lub hl7:guardianOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="$elmcount&lt;=1">(plCdaReferralToLongtermNursingRecordTarget): wybór (hl7:guardianPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'] lub hl7:guardianOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']) zawiera zbyt dużo elementów [min 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/hl7:guardian/hl7:id
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/hl7:guardian/hl7:id"
         id="tmp-r-000c057e-3b1d-4004-b22e-6581d72e3c0b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToLongtermNursingRecordTarget): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="@root">(plCdaReferralToLongtermNursingRecordTarget): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReferralToLongtermNursingRecordTarget): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="@extension">(plCdaReferralToLongtermNursingRecordTarget): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaReferralToLongtermNursingRecordTarget): Atrybut @extension MUSI być typu 'st'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="@root='2.16.840.1.113883.3.4424.1.1.616' and not(matches(string(@extension),'^[0-9]{11}$'))">(plCdaReferralToLongtermNursingRecordTarget):  Jeżeli identyfikatorem jest numer PESEL to musi zawierać 11 cyfr.
                        </report>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/hl7:guardian/hl7:code
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/hl7:guardian/hl7:code"
         id="tmp-r-6dcd89fa-efa6-416c-ad7d-eea1b1f56ec7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToLongtermNursingRecordTarget): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(plCdaReferralToLongtermNursingRecordTarget): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.111'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/extPL:multipleBirthInd
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/extPL:multipleBirthInd"
         id="tmp-r-929009cd-9a9c-439e-8ae6-cab56154ca8a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToLongtermNursingRecordTarget): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:BL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/extPL:multipleBirthOrderNumber
Item: (plCdaReferralToLongtermNursingRecordTarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:patient/extPL:multipleBirthOrderNumber"
         id="tmp-r-f3049161-2a07-4e9e-8225-53cb28f8c8f6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToLongtermNursingRecordTarget): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:INT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT.POS"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.38-2018-06-30T000000.html"
              test="$digitok or @nullFlavor">(plCdaReferralToLongtermNursingRecordTarget): @value nie jest poprawną liczbą typu INT <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.38
Context: *[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']]/hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.38']/hl7:patientRole/hl7:providerOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']
Item: (plCdaReferralToLongtermNursingRecordTarget)
--></pattern>
