<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.2
Name: [4] Rozpoznania dodatkowe
Description: Szablon CDA dla rozpoznań dodatkowych
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000">
   <title>[4] Rozpoznania dodatkowe</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]"
         id="tmp-r-f5b398d2-627b-40c9-95e9-32705a873bf4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2'])&lt;=1">(plCdaSecondaryDiagnosis): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']"
         id="tmp-r-af850c29-d7e9-4f49-8209-69976e0e9cf9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaSecondaryDiagnosis): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaSecondaryDiagnosis): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2'] | self::hl7:organizer[@classCode='BATTERY' and @moodCode='EVN'])])">(plCdaSecondaryDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznania dodatkowe" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2']/@nullFlavor)">(plCdaSecondaryDiagnosis): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2'])&lt;=1">(plCdaSecondaryDiagnosis): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">(plCdaSecondaryDiagnosis): element hl7:organizer jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:organizer)&lt;=1">(plCdaSecondaryDiagnosis): element hl7:organizer występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2']
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2']"
         id="tmp-r-a1db92c3-3a5c-43ef-9221-b019d539bf52">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.2'">(plCdaSecondaryDiagnosis): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.2'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaSecondaryDiagnosis): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer"
         id="tmp-r-5bd49681-d9aa-43b9-a819-58137dad2157">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="string(@classCode)='BATTERY'">(plCdaSecondaryDiagnosis): Wartość dla @classCode MUSI wynosić 'BATTERY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaSecondaryDiagnosis): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaSecondaryDiagnosis): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaSecondaryDiagnosis): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(./*[not(self::hl7:code[@code='85097005' and @codeSystem='2.16.840.1.113883.6.96' and @codeSystemName='SNOMED CT' and @displayName='Secondary diagnosis'] | self::hl7:statusCode[@code='completed'] | self::hl7:component)])">(plCdaSecondaryDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznania dodatkowe" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaSecondaryDiagnosis): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaSecondaryDiagnosis): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaSecondaryDiagnosis): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">(plCdaSecondaryDiagnosis): element hl7:component jest mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:code
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:code"
         id="tmp-r-851cb7b5-6e84-434e-8017-a106577d7b75">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSecondaryDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="@nullFlavor or (@code='85097005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Secondary diagnosis' and @codeSystemName='SNOMED CT')">(plCdaSecondaryDiagnosis): Wartość elementu MUSI wynosić code '85097005' codeSystem '2.16.840.1.113883.6.96' displayName='Secondary diagnosis' codeSystemName='SNOMED CT'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:statusCode[@code='completed']
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:statusCode[@code='completed']"
         id="tmp-r-d0a13668-fb09-4e78-ba3d-fc3585814861">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSecondaryDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaSecondaryDiagnosis): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component"
         id="tmp-r-86b74cb5-bb24-424c-8a3b-ec8d8c2cdd73">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaSecondaryDiagnosis): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode='OBS' and @moodCode='EVN'])])">(plCdaSecondaryDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznania dodatkowe" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(plCdaSecondaryDiagnosis): element hl7:observation jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:observation)&lt;=1">(plCdaSecondaryDiagnosis): element hl7:observation występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation"
         id="tmp-r-78043df3-939a-4709-8784-a5097696add9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="string(@classCode)='OBS'">(plCdaSecondaryDiagnosis): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaSecondaryDiagnosis): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaSecondaryDiagnosis): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaSecondaryDiagnosis): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(./*[not(self::hl7:code[@codeSystem='2.16.840.1.113883.6.3'][@code and @displayName][@codeSystem='2.16.840.1.113883.6.3' and @codeSystemName='icd10'] | self::hl7:code[@codeSystem='2.16.840.1.113883.6.260'][@code and @displayName][@codeSystem='2.16.840.1.113883.6.260' and @codeSystemName='icd10DualCoding'] | self::hl7:text | self::hl7:targetSiteCode[@codeSystem='2.16.840.1.113883.6.96'])])">(plCdaSecondaryDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznania dodatkowe" występują niedozwolone elementy.</assert>
      <let name="elmcount"
           value="count(hl7:code[@codeSystem='2.16.840.1.113883.6.3']|hl7:code[@codeSystem='2.16.840.1.113883.6.260'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="$elmcount&gt;=1">(plCdaSecondaryDiagnosis): wybór (hl7:code[@codeSystem='2.16.840.1.113883.6.3'] lub hl7:code[@codeSystem='2.16.840.1.113883.6.260']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="$elmcount&lt;=1">(plCdaSecondaryDiagnosis): wybór (hl7:code[@codeSystem='2.16.840.1.113883.6.3'] lub hl7:code[@codeSystem='2.16.840.1.113883.6.260']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.3'])&lt;=1">(plCdaSecondaryDiagnosis): element hl7:code[@codeSystem='2.16.840.1.113883.6.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.260'])&lt;=1">(plCdaSecondaryDiagnosis): element hl7:code[@codeSystem='2.16.840.1.113883.6.260'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaSecondaryDiagnosis): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="count(hl7:targetSiteCode)&lt;=1">(plCdaSecondaryDiagnosis): element hl7:targetSiteCode występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.3']
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.3']"
         id="tmp-r-20fed021-13d1-439e-88cf-e35eebc53a11">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSecondaryDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.3' and @codeSystemName='icd10')">(plCdaSecondaryDiagnosis): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.3' codeSystemName='icd10'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="@code">(plCdaSecondaryDiagnosis): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(@code) or string-length(@code)&gt;0">(plCdaSecondaryDiagnosis): Atrybut @code MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="@displayName">(plCdaSecondaryDiagnosis): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaSecondaryDiagnosis): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.260']
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.260']"
         id="tmp-r-c97991cf-7bd5-4916-bb3a-34eb5a4b37cc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSecondaryDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.260' and @codeSystemName='icd10DualCoding')">(plCdaSecondaryDiagnosis): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.260' codeSystemName='icd10DualCoding'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="@code">(plCdaSecondaryDiagnosis): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(@code) or string-length(@code)&gt;0">(plCdaSecondaryDiagnosis): Atrybut @code MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="@displayName">(plCdaSecondaryDiagnosis): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaSecondaryDiagnosis): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation/hl7:targetSiteCode
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation/hl7:targetSiteCode"
         id="tmp-r-252cd3a0-75a5-4d7e-9b20-4ab5a24e4172">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSecondaryDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.80-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaSecondaryDiagnosis): Wartość elementu MUSI wynosić StronaCiala Strona ciała (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.80-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-09-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaSecondaryDiagnosis): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości StronaCiala Strona ciała (DYNAMICZNE)</assert>
   </rule>
</pattern>
